# Uses of Class
org.snpeff.interval.tree.IntervalForest

Packages that use IntervalForest
Package
Description
org.snpeff.interval
org.snpeff.snpEffect

## Uses of IntervalForest in org.snpeff.interval

Methods in org.snpeff.interval with parameters of type IntervalForest
Modifier and Type
Method
Description
`Markers`
Marker.`query(IntervalForest intervalForest)`
Return a collection of intervals that intersect this marker
`Markers`
VariantBnd.`query(IntervalForest intervalForest)`
Return a collection of intervals that intersect both ends of this variant

## Uses of IntervalForest in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect that return IntervalForest
Modifier and Type
Method
Description
`IntervalForest`
SnpEffectPredictor.`getIntervalForest()`